Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.net.pop3
Enum ExtendedPOP3Client.AUTH_METHOD

    java.lang.Object
      java.lang.Enum<ExtendedPOP3Client.AUTH_METHOD>
          org.apache.commons.net.pop3.ExtendedPOP3Client.AUTH_METHOD

All Implemented Interfaces:
  Serializable, Comparable<ExtendedPOP3Client.AUTH_METHOD>

Enclosing class:
  ExtendedPOP3Client

    public static enum ExtendedPOP3Client.AUTH_METHOD

extends Enum<ExtendedPOP3Client.AUTH_METHOD>

The enumeration of currently-supported authentication methods.

Enum Constant Summary
`CRAM_MD5` The standarised (RFC2195) CRAM-MD5 method, which doesn't send the password (secure).
`PLAIN` The standarised (RFC4616) PLAIN method, which sends the password unencrypted (insecure).

Method Summary
`String` | `getAuthName()` Gets the name of the given authentication method suitable for the server.
`static ExtendedPOP3Client.AUTH_METHOD` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExtendedPOP3Client.AUTH_METHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN

    public static final ExtendedPOP3Client.AUTH_METHOD PLAIN

  The standarised (RFC4616) PLAIN method, which sends the password unencrypted (insecure).

### CRAM_MD5

    public static final ExtendedPOP3Client.AUTH_METHOD CRAM_MD5

  The standarised (RFC2195) CRAM-MD5 method, which doesn't send the password (secure).

Method Detail

### values

    public static final ExtendedPOP3Client.AUTH_METHOD[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExtendedPOP3Client.AUTH_METHOD c : ExtendedPOP3Client.AUTH_METHOD.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExtendedPOP3Client.AUTH_METHOD valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getAuthName

    public final String getAuthName()

  Gets the name of the given authentication method suitable for the server.

  Returns:
    The name of the given authentication method suitable for the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.